﻿//
//      Copyright (C) 2012-2014 DataStax Inc.
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.
//

using System;
using System.Collections.Generic;
using Cassandra.Data.Linq;
using Cassandra.IntegrationTests.TestBase;
using NUnit.Framework;

namespace Cassandra.IntegrationTests.Linq.Structures
{
    public interface IAllDataTypesEntity
    {
        string StringType { get; set; }
        Guid GuidType { get; set; }
        DateTime DateTimeType { get; set; }
        DateTime? NullableDateTimeType { get; set; }
        DateTimeOffset DateTimeOffsetType { get; set; }
        bool BooleanType { get; set; }
        Decimal DecimalType { get; set; }
        double DoubleType { get; set; }
        float FloatType { get; set; }
        int? NullableIntType { get; set; }
        int IntType { get; set; }
        Int64 Int64Type { get; set; }
        TimeUuid TimeUuidType { get; set; }
        TimeUuid? NullableTimeUuidType { get; set; }
        Dictionary<string, long> DictionaryStringLongType { get; set; }
        Dictionary<string, string> DictionaryStringStringType { get; set; }
        List<Guid> ListOfGuidsType { get; set; }
        List<string> ListOfStringsType { get; set; }

    }
}